image:
  file: .gitpod.Dockerfile

# ddev and composer are running as part of the prebuild
# when starting a workspace all docker images are ready
tasks:
  - name: docker-up
    command: sudo docker-up
  - name: ddev-build
    init: |
      sudo docker-up &
      export DDEV_NONINTERACTIVE=true
      .ddev/gitpod-setup-ddev.sh
      ddev exec composer install
    command: |
      export APP_URL=$(gp url 8080);
      export HOST=$(echo $APP_URL|sed 's/https\?:\/\///');
      .ddev/gitpod-setup-ddev.sh
      ddev exec php public/recovery/install/index.php \
          --db-host=db \
          --db-user=db \
          --db-password=db \
          --db-name=db \
          --shop-host=$HOST \
          --shop-locale=de-DE \
          --shop-name=Shopware6-Demo \
          --shop-email=p.beyer@onacy.de \
          --shop-currency=EUR \
          --shop-country=DEU \
          --admin-username=admin \
          --admin-lastname=User \
          --admin-firstname=Admin \
          --admin-password=shopware \
          --admin-email=p.beyer@onacy.de \
          --admin-locale=de-DE \
          --no-interaction \
          --no-skip-import;
      sed -i -r "s|APP_URL=.+|APP_URL=$APP_URL|g" shopware/.env;
      ddev exec bin/console assets:install;
      ddev exec bin/build.sh;
      gp await-port 8080 && gp preview $(gp url 8080)/admin
      
# Set the following ports public
ports:
  - port: 6942
    onOpen: ignore
  - port: 8080
  - port: 8025
    onOpen: ignore
  - port: 8026
    onOpen: ignore
  - port: 8036
    onOpen: ignore
  - port: 8037
    onOpen: ignore
  - port: 8443
    onOpen: ignore
  - port: 9999
